#mmm video player configure file

#this file is case sensive

#This config file consist of one or more BLOCK, a BLOCK consist of block name and one or more field,
#field format is "KEY = value".
#this config is a tree structure. [CONFIG] block is a root block. 

#root block
[CONFIG]
CONFIG_NAME=R8

#4m config entry
#the sequence of codec here is priority sensitive. 
[R8]
DEMUX=avi,flv,wmv,rmv,rm,3gp    
VCODEC=xvid,xvidd,flv1,h263,wmvs_m,wmvm,rv8,rv9,rv9b,rvg2
ACODEC=mp3,wma,amr,ra,aac,wav
BUF_CFG=buf_8m

[R4]
DEMUX=avi,flv,wmv,rmv,rm,3gp    
VCODEC=xvid,xvidd,flv1,h263,wmvs_m,wmvm,rv8,rv9,rv9b,rvg2
ACODEC=mp3,wma,amr,ra,aac,wav
BUF_CFG=buf_4m

[R4_TTF]
DEMUX=avi,flv,wmv,3gp    
VCODEC=xvid,xvidd_t,flv1,h263,wmvs
ACODEC=mp3,wma,amr,ra,aac,wav 
BUF_CFG=buf_ttf

[R4_QVGA]
DEMUX=avi,flv,wmv,3gp    
VCODEC=xvid,xvidd_t,flv1,h263,wmvs
ACODEC=mp3,wma,amr,ra,aac,wav 
BUF_CFG=buf_qvga

[R2]
DEMUX=avi,flv,wmv,3gp    
VCODEC=xvid_2m,flv1,h263,wmvs_2m
ACODEC=mp3,wma,amr,ra,aac,wav 
BUF_CFG=buf_2m

#Demux format configure
[avi]
DEMUX_NAME = avi
DEMUX_LIB=avi

[flv]
DEMUX_NAME=flv
DEMUX_LIB=flv

[wmv]
DEMUX_NAME=wmv
DEMUX_LIB=wmv

[rm]
DEMUX_NAME=rm
DEMUX_LIB=rm

[rmv]
DEMUX_NAME=rmv
DEMUX_LIB=rmv

[3gp]
DEMUX_NAME=3gp
DEMUX_LIB=mp4

[mp4]
DEMUX_NAME=mp4
DEMUX_LIB=mp4

#video codec configure
#xvid
[xvid]
CODEC_NAME=xvid
CODEC_LIB=xvid
MIN_WIDTH=0
MIN_HEIGHT=0
MIN_VBITRATE=5000
MIN_FRAMERATE=0
MAX_WIDTH=400
MAX_HEIGHT=300
MAX_WXH=-1
MAX_VBITRATE=1700000
MAX_FRAMERATE=30
SCALE=1

[xvid_2m]
CODEC_NAME=xvid
CODEC_LIB=xvid
MIN_WIDTH=0
MIN_HEIGHT=0
MIN_VBITRATE=5000
MIN_FRAMERATE=0
MAX_WIDTH=320
MAX_HEIGHT=240
MAX_WXH=-1
MAX_VBITRATE=-1
MAX_FRAMERATE=30 
SCALE=1

[xvidd]
CODEC_NAME=xvid
CODEC_LIB=xvidd
MIN_WIDTH=0
MIN_HEIGHT=0
MIN_VBITRATE=5000
MIN_FRAMERATE=0
MAX_WIDTH=640
MAX_HEIGHT=480
MAX_WXH=-1
MAX_VBITRATE=1700000
MAX_FRAMERATE=30  
SCALE=1

[xvidd_t]
CODEC_NAME=xvid
CODEC_LIB=xvidd
MIN_WIDTH=0
MIN_HEIGHT=0
MIN_VBITRATE=5000
MIN_FRAMERATE=0
MAX_WIDTH=640
MAX_HEIGHT=400
MAX_WXH=-1
MAX_VBITRATE=1700000
MAX_FRAMERATE=30  
SCALE=1

#flv1
[flv1]
CODEC_NAME=flv1
CODEC_LIB=flv1
MIN_WIDTH=0
MIN_HEIGHT=0
MIN_VBITRATE=5000
MIN_FRAMERATE=0
MAX_WIDTH=384
MAX_HEIGHT=288
MAX_WXH=-1
MAX_VBITRATE=-1
MAX_FRAMERATE=30
SCALE=1

#h263
[h263]
CODEC_NAME=h263
CODEC_LIB=h263
MIN_WIDTH=0
MIN_HEIGHT=0
MIN_VBITRATE=5000
MIN_FRAMERATE=0
MAX_WIDTH=320
MAX_HEIGHT=240
MAX_WXH=-1
MAX_VBITRATE=-1
MAX_FRAMERATE=30
SCALE=1

#wmv_s
[wmvs_2m]
CODEC_NAME=wmv_s
CODEC_LIB=wmv
MIN_WIDTH=0
MIN_HEIGHT=0
MIN_VBITRATE=5000
MIN_FRAMERATE=0
MAX_WIDTH=220
MAX_HEIGHT=176
MAX_WXH=-1
MAX_VBITRATE=-1
MAX_FRAMERATE=30
SCALE=0

[wmvs]
CODEC_NAME=wmv_s
CODEC_LIB=wmv
MIN_WIDTH=0
MIN_HEIGHT=0
MIN_VBITRATE=5000
MIN_FRAMERATE=0
MAX_WIDTH=320
MAX_HEIGHT=240
MAX_WXH=-1
MAX_VBITRATE=-1
MAX_FRAMERATE=30 
SCALE=0

[wmvs_m]
CODEC_NAME=wmv_s
CODEC_LIB=wmvm
MIN_WIDTH=0
MIN_HEIGHT=0
MIN_VBITRATE=5000
MIN_FRAMERATE=0
MAX_WIDTH=320
MAX_HEIGHT=240
MAX_WXH=-1
MAX_VBITRATE=-1
MAX_FRAMERATE=30  
SCALE=0

#wmv_m
[wmvm]
CODEC_NAME=wmv_m
CODEC_LIB=wmvm
MIN_WIDTH=0
MIN_HEIGHT=0
MIN_VBITRATE=5000
MIN_FRAMERATE=0
MAX_WIDTH=320
MAX_HEIGHT=240
MAX_WXH=-1
MAX_VBITRATE=-1
MAX_FRAMERATE=30
SCALE=0

#rv
[rv8]
CODEC_NAME=rv8
CODEC_LIB=rv8
MIN_WIDTH=0
MIN_HEIGHT=0
MIN_VBITRATE=5000
MIN_FRAMERATE=0
MAX_WIDTH=400
MAX_HEIGHT=300
MAX_WXH=-1
MAX_VBITRATE=-1
MAX_FRAMERATE=30
SCALE=1

[rv9]
CODEC_NAME=rv9
CODEC_LIB=rv9
MIN_WIDTH=0
MIN_HEIGHT=0
MIN_VBITRATE=5000
MIN_FRAMERATE=0
MAX_WIDTH=400
MAX_HEIGHT=300
MAX_WXH=-1
MAX_VBITRATE=-1
MAX_FRAMERATE=30 
SCALE=1

[rv9b]
CODEC_NAME=rv9b
CODEC_LIB=rv9b
MIN_WIDTH=0
MIN_HEIGHT=0
MIN_VBITRATE=5000
MIN_FRAMERATE=0
MAX_WIDTH=400
MAX_HEIGHT=300
MAX_WXH=-1
MAX_VBITRATE=-1
MAX_FRAMERATE=30 
SCALE=1   

[rvg2]
CODEC_NAME=rvg2
CODEC_LIB=rvg2
MIN_WIDTH=0
MIN_HEIGHT=0
MIN_VBITRATE=5000
MIN_FRAMERATE=0
MAX_WIDTH=400
MAX_HEIGHT=300
MAX_WXH=-1
MAX_VBITRATE=-1
MAX_FRAMERATE=30 
SCALE=1   

#audio codec configure
#mp3
[mp3]
CODEC_NAME=mp3
CODEC_LIB=audio
MIN_ABITRATE=0
MAX_ABITRATE=320000
MAX_CHANNEL=-1

#wma
[wma]
CODEC_NAME=wma
CODEC_LIB=audio
MIN_ABITRATE=0
MAX_ABITRATE=-1
MAX_CHANNEL=-1

#amr
[amr]
CODEC_NAME=amr
CODEC_LIB=audio
MIN_ABITRATE=0
MAX_ABITRATE=-1
MAX_CHANNEL=-1

#aac
[aac]
CODEC_NAME=aac
CODEC_LIB=audio
MIN_ABITRATE=0
MAX_ABITRATE=-1
MAX_CHANNEL=-1

#wav
[wav]
CODEC_NAME=wav
CODEC_LIB=audio
MIN_ABITRATE=0
MAX_ABITRATE=-1
MAX_CHANNEL=-1

#ra
[ra]
CODEC_NAME=ra
CODEC_LIB=audio
MIN_ABITRATE=0
MAX_ABITRATE=-1
MAX_CHANNEL=2

[buf_4m]
VFRAME_NUM=3
VFRAME_ADDR1=0x803cf3e8
VFRAME_ADDR2=0x803a9bc8
VFRAME_BSIZE=153616
ABUF_SIZE=153600
ABUF_NUM=700
VBUF_SIZE=409600
VBUF_NUM=700
HEAP_ADDR=0x80121800
HEAP_SIZE=0x283300

[buf_2m]
VFRAME_NUM=3
VFRAME_ADDR1=0x803cf3e8
VFRAME_ADDR2=0x803a9bc8
VFRAME_BSIZE=153616
ABUF_SIZE=153600
ABUF_NUM=700
VBUF_SIZE=409600
VBUF_NUM=700
HEAP_ADDR=0x8011c800
HEAP_SIZE=0x15d1c8  

[buf_ttf]
VFRAME_NUM=3
VFRAME_ADDR1=0x803cf3e8
VFRAME_ADDR2=0x803a9bc8
VFRAME_BSIZE=153616
ABUF_SIZE=153600
ABUF_NUM=700
VBUF_SIZE=409600
VBUF_NUM=700
HEAP_ADDR=0x80121800
HEAP_SIZE=0x153100  

[buf_qvga]
VFRAME_NUM=3
VFRAME_ADDR1=0x803735c8
VFRAME_ADDR2=0x803a23e8
VFRAME_BSIZE=201616
ABUF_SIZE=153600
ABUF_NUM=700
VBUF_SIZE=409600
VBUF_NUM=700
HEAP_ADDR=0x80122c00
HEAP_SIZE=0x2059c8 

[buf_8m]
VFRAME_NUM=3
VFRAME_ADDR1=0x8055a2e8
VFRAME_ADDR2=0x8057fbe8
VFRAME_BSIZE=153616
ABUF_SIZE=153600
ABUF_NUM=700
VBUF_SIZE=409600
VBUF_NUM=700
HEAP_ADDR=0x80122c00
HEAP_SIZE=0x4376e0 

